/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../core/base/base-component';
export interface IQuantityFieldComponent extends IBaseComponent {
    invalid: boolean;
    required: boolean;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-quantity-field': IQuantityFieldComponent;
    }
}
/**
 * The web component class behind the `<forge-quantity-field>` custom element.
 *
 * @tag forge-quantity-field
 */
export declare class QuantityFieldComponent extends BaseComponent implements IQuantityFieldComponent {
    static get observedAttributes(): string[];
    private _foundation;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    private _ensureElementsPresent;
    private _requiredElementsPresent;
    /** Gets/sets the invalid state. */
    invalid: boolean;
    /** Gets/sets the required state which controls the visibility of the asterisk in the label. */
    required: boolean;
}
